FUNCTION::KERNEL_STR(3stap)

NAME
function::kernel_string_quoted - Retrieves and quotes string from kernel memory

SYNOPSIS

    kernel_string_quoted:string(addr:long)

ARGUMENTS

addr
    the kernel memory address to retrieve the string from

DESCRIPTION

Returns the null terminated C string from a given kernel memory address where any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string. Note that the string will be surrounded by double quotes. If the kernel memory data is not accessible at the given address, the address itself is returned as a string, without double quotes.

SEE ALSO
tapset::conversions(3stap)